

#ifndef _KSSHAGENT_H_
#define _KSSHAGENT_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapplication.h>
#include <kmainwindow.h>

#include "ksshagentview.h"


/**
 * This class serves as the main window for Ksshagent.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Hans van Leeuwen <hanz@hanz.nl>
 * @version 0.1
 */
class Ksshagent : public KMainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    Ksshagent();

    /**
     * Default Destructor
     */
    virtual ~Ksshagent();
    

private slots:
    void optionsConfigureKeys();
    void optionsConfigureToolbars();
    void optionsPreferences();
    void newToolbarConfig();
    void changeStatusbar(const QString& text);
    void changeCaption(const QString& text);
    void settingsChanged();

private:
    void setupActions();

private:
    KsshagentView *m_view;
};

#endif // _KSSHAGENT_H_

