

#ifndef _KSSHAGENTVIEW_H_
#define _KSSHAGENTVIEW_H_

#include <qwidget.h>

#include "ksshagentview_base.h"


class KURL;

/**
 * This is the main view class for Ksshagent.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Hans van Leeuwen <hanz@hanz.nl>
 * @version 0.1
 */
class KsshagentView : public ksshagentview_base
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    KsshagentView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~KsshagentView();

signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

private slots:
    // Not implemented yet
    void fileNew();
    void fileOpen();
    void fileRedisplay();
    void fileClose();
    
    void addKey(KURL);
    void closeKey(QString);
    void redisplayKeys();
    void checksshAgent();
    
    
};

#endif // _KSSHAGENTVIEW_H_
