

#include "ksshagent.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>


static const char description[] =
    I18N_NOOP("Ssh key manager for KDE");

static const char version[] = "0.6";

static KCmdLineOptions options[] =
{
    { "+[keyfile]", I18N_NOOP( "Keyfile to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("ksshagent", I18N_NOOP("Ksshagent"), version, description,
                     KAboutData::License_GPL, "(C) 2006, 2007 Hans van Leeuwen", 0, 0, "hanz@hanz.nl");
    about.addAuthor( "Hans van Leeuwen", 0, "hanz@hanz.nl" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    // see if we are starting with session management
    if (app.isRestored())
    {
        RESTORE(Ksshagent);
    }
    else
    {
        // no session.. just start up normally
        Ksshagent *widget = new Ksshagent;
        widget->show();
        
    }

    return app.exec();
}

