#include <iostream>
#include <qwidgetstack.h>

#include <keditlistbox.h>
#include <kurlrequester.h>
#include <kfiledialog.h>
#include <klistview.h>
#include <klocale.h>

#include "prefs.h"

Prefs::Prefs(QWidget* parent, const char* name, WFlags fl)
                : Prefs_base(parent,name,fl)
{
    // Start filedialog in $HOME/.ssh
    QString startdir = QString(getenv("HOME"));
    startdir.append("/.ssh/");
    
    KURLRequester* urlReq = new KURLRequester(startdir);

    KEditListBox* editListBox = new KEditListBox(i18n("Keys to load on startup"), urlReq->customEditor(), startupListStack, "kcfg_startupList", false, 3);
    startupListStack->raiseWidget(editListBox);
}

Prefs::~Prefs()
{}


void Prefs::slotUseCustomPath(bool useCustomPath)
{
    kcfg_sshaskpassPath->setEnabled(useCustomPath);
}

